[arch-commits] Commit in (5 files)

Eduardo Romero eduardo at archlinux.org
Wed Jul 16 14:54:00 EDT 2008


    Date: Wednesday, July 16, 2008 @ 14:54:00
  Author: eduardo
Revision: 5483

added libexif-gtk to extra to satisfy gtkam dependencies

Added:
  libexif-gtk/
  libexif-gtk/repos/
  libexif-gtk/trunk/
  libexif-gtk/trunk/PKGBUILD
  libexif-gtk/trunk/gtk2-fix.patch

----------------+
 PKGBUILD       |   24 ++++++++++++++++++++++++
 gtk2-fix.patch |   13 +++++++++++++
 2 files changed, 37 insertions(+)

Added: libexif-gtk/trunk/PKGBUILD
===================================================================
--- libexif-gtk/trunk/PKGBUILD	                        (rev 0)
+++ libexif-gtk/trunk/PKGBUILD	2008-07-16 18:54:00 UTC (rev 5483)
@@ -0,0 +1,24 @@
+# Maintainer: Eduardo Romero <eduardo at archlinux.org>
+# Contributor: Sebastien Piccand <sebcactus gmail com>
+pkgname=libexif-gtk
+pkgver=0.3.5
+pkgrel=8
+pkgdesc="GTK frontend to the libexif library"
+arch=('i686')
+url="http://libexif.sourceforge.net"
+license=('GPL')
+depends=('libexif' 'gtk2')
+options=('!libtool')
+source=(http://downloads.sourceforge.net/libexif/$pkgname-$pkgver.tar.bz2 gtk2-fix.patch)
+md5sums=('0ecdba41f3e0f20a11b8555bd2dd2a07' '5ecf915e5b9cfd0a75757d3a046b63fa')
+
+build() {
+  cd $startdir/src/$pkgname-$pkgver
+  # Patch for gtk2-2.12
+  patch -p1 < ../gtk2-fix.patch || return 1
+  # Patch for libexif
+  sed -i 's|exif-mem.h|libexif/exif-mem.h|g' configure
+  ./configure --prefix=/usr
+  make || return 1
+  make DESTDIR=$startdir/pkg install || return 1
+}

Added: libexif-gtk/trunk/gtk2-fix.patch
===================================================================
--- libexif-gtk/trunk/gtk2-fix.patch	                        (rev 0)
+++ libexif-gtk/trunk/gtk2-fix.patch	2008-07-16 18:54:00 UTC (rev 5483)
@@ -0,0 +1,13 @@
+diff -ur libexif-gtk-0.3.5.orig/libexif-gtk/Makefile.in libexif-gtk-0.3.5/libexif-gtk/Makefile.in
+--- libexif-gtk-0.3.5.orig/libexif-gtk/Makefile.in	2007-10-30 12:57:42.000000000 +0000
++++ libexif-gtk-0.3.5/libexif-gtk/Makefile.in	2007-10-30 13:02:47.000000000 +0000
+@@ -251,8 +251,7 @@
+ 	-I$(top_srcdir)/intl				\
+ 	-I$(top_srcdir)/gtk-extensions			\
+ 	$(LIBEXIF_GTK_CFLAGS)				\
+-	-DG_LOG_DOMAIN=\"libexif\"			\
+-	-DGTK_DISABLE_DEPRECATED
++	-DG_LOG_DOMAIN=\"libexif\"
+ 
+ lib_LTLIBRARIES = libexif-gtk.la
+ libexif_gtkincludedir = $(includedir)/libexif-gtk





More information about the arch-commits mailing list